This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 735152 - (step) Review Request: step - Interactive Physics Simulator
Review Request: step - Interactive Physics Simulator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On: libkdeedu
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-09-01 11:38 EDT by Rex Dieter
Modified: 2011-09-25 15:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-25 15:08:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-09-01 11:38:02 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdeedu/step.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdeedu/step-4.7.0-10.fc15.src.rpm
Description: Interactive Physics Simulator
Comment 1 Clément DAVID 2011-09-18 10:01:14 EDT
For me some points to be solved before a more formal review:
 * typo on "Release: 10%{?dist}" for a first try :)
 * is it standard to use desktop-file-validate on %check ? (I use it on %build)

koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3358761

Problems:

+ desktop-file-validate /builddir/build/BUILDROOT/step-4.7.0-10.fc16.i386/usr/share/applications/kde4/step.desktop
/builddir/build/BUILDROOT/step-4.7.0-10.fc16.i386/usr/share/applications/kde4/step.desktop: error: (will be fatal in the future): value "Physics" in key "Categories" in group "Desktop Entry" requires another category to be present among the following categories: Education;Science

warning: File listed twice: /usr/share/doc/HTML/en/step
Comment 2 Rex Dieter 2011-09-18 14:07:50 EDT
I personally prefer using desktop-file-* in either %install or %check.

Anyway, as that is still (currently) non-fatal, let's not block the review on it (though I will poke upstream to get it fixed properly).
Comment 3 Rex Dieter 2011-09-22 07:53:36 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdeedu/step.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/kdeedu/step-4.7.1-2.fc15.src.rpm

%changelog
* Wed Sep 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-2
- License: GPLv2+

* Sat Sep 17 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-1
- 4.7.1
Comment 4 Radek Novacek 2011-09-23 03:29:57 EDT
Clément, are you going to do formal review?
Comment 5 Clément DAVID 2011-09-23 08:59:48 EDT
(In reply to comment #4)
> Clément, are you going to do formal review?

Feel free to take, I'm off for 3 days.
Comment 6 Radek Novacek 2011-09-23 09:49:48 EDT
Name: ok
License: ok
Source: ok
BRs/Reqs: ok
Macros used consistently: ok
ldconfig: NA
Desktop file validations: ok
Locales: ok
Docs: ok
Devel: NA
Files: ok
Build: ok
rpmlint: no need to fix
step.x86_64: E: script-without-shebang /usr/share/applications/kde4/step.desktop
step.x86_64: W: no-manual-page-for-binary step

No issues found, setting fedora-review+.
Comment 7 Rex Dieter 2011-09-23 11:23:09 EDT
New Package SCM Request
=======================
Package Name: step
Short Description: Interactive Physics Simulator
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16
Comment 8 Jon Ciesla 2011-09-24 11:49:27 EDT
Git done (by process-git-requests).
Comment 9 Rex Dieter 2011-09-25 15:08:13 EDT
imported

Note You need to log in before you can comment on or make changes to this bug.